Bug 866180 - IndexError: could not find tree path '0'
IndexError: could not find tree path '0'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
abrt_hash:80abbb3eaeac0578422c3902561...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-14 09:40 EDT by Vedran Miletić
Modified: 2014-06-14 04:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:34:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (448.31 KB, text/plain)
2012-10-14 09:40 EDT, Vedran Miletić
no flags Details
File: environ (885 bytes, text/plain)
2012-10-14 09:40 EDT, Vedran Miletić
no flags Details
File: type (9 bytes, text/plain)
2012-10-14 09:40 EDT, Vedran Miletić
no flags Details
File: ifcfg.log (1.08 KB, text/plain)
2012-10-14 09:40 EDT, Vedran Miletić
no flags Details
File: storage.log (176.51 KB, text/plain)
2012-10-14 09:40 EDT, Vedran Miletić
no flags Details
File: version (2 bytes, text/plain)
2012-10-14 09:40 EDT, Vedran Miletić
no flags Details
File: program.log (81.23 KB, text/plain)
2012-10-14 09:40 EDT, Vedran Miletić
no flags Details
File: product (6 bytes, text/plain)
2012-10-14 09:40 EDT, Vedran Miletić
no flags Details
File: anaconda.log (5.54 KB, text/plain)
2012-10-14 09:40 EDT, Vedran Miletić
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-14 09:40 EDT, Vedran Miletić
no flags Details
File: cmdline_file (150 bytes, text/plain)
2012-10-14 09:40 EDT, Vedran Miletić
no flags Details
File: release (33 bytes, text/plain)
2012-10-14 09:40 EDT, Vedran Miletić
no flags Details
File: messages (151.49 KB, text/plain)
2012-10-14 09:40 EDT, Vedran Miletić
no flags Details
File: other involved packages (29 bytes, text/plain)
2012-10-14 09:40 EDT, Vedran Miletić
no flags Details

  None (edit)
Description Vedran Miletić 2012-10-14 09:40:10 EDT
Description of problem:
I removed all the keyboard layouts from keyboard layout list 

Version-Release number of selected component:
anaconda-18.16-1.fc18.i686

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
kernel:         3.6.1-1.fc18.i686

description:
:The following was filed automatically by anaconda:
:anaconda 18.16 exception report
:Traceback (most recent call first):
:  File "/usr/lib/python2.7/site-packages/gi/overrides/Gtk.py", line 778, in _getiter
:    raise IndexError("could not find tree path '%s'" % key)
:  File "/usr/lib/python2.7/site-packages/gi/overrides/Gtk.py", line 782, in __getitem__
:    aiter = self._getiter(key)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/keyboard.py", line 191, in status
:    return self._xkl_wrapper.name_to_show_str[self._store[0][0]]
:  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 198, in _updateCompleteness
:    spoke.selector.set_property("status", spoke.status)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 328, in _on_spoke_clicked
:    self._updateCompleteness(spoke)
:IndexError: could not find tree path '0'
Comment 1 Vedran Miletić 2012-10-14 09:40:20 EDT
Created attachment 626974 [details]
File: anaconda-tb
Comment 2 Vedran Miletić 2012-10-14 09:40:22 EDT
Created attachment 626975 [details]
File: environ
Comment 3 Vedran Miletić 2012-10-14 09:40:25 EDT
Created attachment 626976 [details]
File: type
Comment 4 Vedran Miletić 2012-10-14 09:40:27 EDT
Created attachment 626977 [details]
File: ifcfg.log
Comment 5 Vedran Miletić 2012-10-14 09:40:32 EDT
Created attachment 626978 [details]
File: storage.log
Comment 6 Vedran Miletić 2012-10-14 09:40:35 EDT
Created attachment 626979 [details]
File: version
Comment 7 Vedran Miletić 2012-10-14 09:40:38 EDT
Created attachment 626980 [details]
File: program.log
Comment 8 Vedran Miletić 2012-10-14 09:40:40 EDT
Created attachment 626981 [details]
File: product
Comment 9 Vedran Miletić 2012-10-14 09:40:42 EDT
Created attachment 626982 [details]
File: anaconda.log
Comment 10 Vedran Miletić 2012-10-14 09:40:44 EDT
Created attachment 626983 [details]
File: hashmarkername
Comment 11 Vedran Miletić 2012-10-14 09:40:46 EDT
Created attachment 626984 [details]
File: cmdline_file
Comment 12 Vedran Miletić 2012-10-14 09:40:48 EDT
Created attachment 626985 [details]
File: release
Comment 13 Vedran Miletić 2012-10-14 09:40:52 EDT
Created attachment 626986 [details]
File: messages
Comment 14 Vedran Miletić 2012-10-14 09:40:54 EDT
Created attachment 626987 [details]
File: other involved packages
Comment 15 Chris Lumens 2012-10-17 22:17:30 EDT
I think this should be fixed, but reassigning to double check.
Comment 16 Vratislav Podzimek 2012-10-18 03:07:11 EDT
(In reply to comment #0)
> Description of problem:
> I removed all the keyboard layouts from keyboard layout list 
How did you do this? If you click "-" button with the last layout in the list selected, Add layout dialog should appear.
Comment 17 Fedora End Of Life 2013-12-21 04:07:20 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2014-02-05 07:34:39 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 19 Vedran Miletić 2014-06-14 04:07:25 EDT
Probably doesn't occur anymore (apologies for being _very_ late to party).

Note You need to log in before you can comment on or make changes to this bug.